DNF5-HISTORY(8)

BEZEICHNUNG
dnf5-history - History-Befehl

ÜBERSICHT

dnf5 history Unterbefehl [Optionen] [Transaktionsangabe]

BESCHREIBUNG

Der history-Befehl in DNF5 ermöglicht dem Benutzer, die Vorgänge vergangener Transaktionen anzuzeigen und bietet verschiedene Aktionen für diese Transaktionen, wie z.B. das Rückgängigmachen und Wiederherstellen. Um die Transaktionen in diesen Befehlen verwenden zu können, wird davon ausgegangen, dass sie unter Verwendung der Konfigurationsoption history_record ausgeführt wurden.

Weitere Informationen über Transaktionsangaben finden Sie in der Handbuchseite dnf5-specs(7), Muster-Spezifikation.

UNTERBEFEHLE

list
    listet Informationen zu aufgezeichneten Transaktionen im System auf. Erfolgt keine Transaktionsangabe, werden alle Transaktionen verwendet.

info
    gibt Details zu bestimmten Transaktionen aus. Erfolgt keine Transaktionsangabe, wird die letzte Transaktion verwendet.

undo
    macht alle Aktionen aus der angegebenen Transaktion rückgängig. Als Transaktionsangabe ist genau eine Angabe notwendig.

redo
    Wiederholt die angegebene Transaktion. Die Optionen --ignore-extras und --ignore-installed werden dabei automatisch verwendet. Im Gegensatz zum Rest der history-Befehle werden Installationsgründe für Pakete der Transaktion außer Kraft gesetzt, die bereits installiert sind. Dieser Befehl ist zum Beenden unterbrochener Transaktionen nützlich. Als Transaktionsangabe ist genau eine Angabe notwendig.

rollback
    macht alle nach der angegebenen Transaktion ausgeführten Transaktionen rückgängig. Als Transaktionsangabe ist genau eine Angabe notwendig.

store
    speichert die Transaktion in einem Verzeichnis. Erfolgt keine Transaktionsangabe, wird die letzte Transaktion verwendet.

OPTIONEN FÜR »LIST« UND »INFO«

--reverse
    kehrt die Reihenfolge der Transaktionen in der Ausgabe um.

--contains-pkgs=PAKETNAME, …
    zeigt nur Transaktionen an, die Pakete mit den angegebenen Namen enthalten. Dies ist eine Listenoption. Globs werden unterstützt.

OPTIONEN FÜR »UNDO«, »ROLLBACK« UND »REDO«

--skip-unavailable
    ermöglicht das Überspringen von Paketaktionen, die nicht ausführbar sind.

--offline
    speichert die Transaktion, um sie ohne Netzverbindung ausführen zu können. Siehe dnf5-offline(8), Offline-Befehl.

--store=PFAD
    speichert die aktuelle Transaktion in einem Verzeichnis unter dem angegebenen PFAD, anstatt sie auszuführen. Die gespeicherte Transaktion kann mit dem replay-Befehl, dnf5-replay(8), ausgeführt werden.

OPTIONEN FÜR »UNDO« UND »ROLLBACK«

--ignore-extras
    betrachtet zusätzliche Pakete, die in die Transaktion eingebunden werden, nicht als Fehler. Sie werden jedoch weiterhin als Warnungen gemeldet.

--ignore-installed
    betrachtet Nichtübereinstimmungen zwischen installierten und gespeicherten Transaktionspaketen nicht als Fehler. Sie werden jedoch weiterhin als Warnungen gemeldet. Die Verwendung dieser Option kann zu einer leeren Transaktion führen. Bei Installationsaktionen werden bereits installierte Pakete übersprungen. Bei Aktualisierungsaktionen werden nicht installierte Gruppen oder Umgebungen übersprungen. Bei Entfernungsaktionen werden nicht installierte Pakete/Gruppen/Umgebungen übersprungen.

BEISPIELE

dnf5 history list
    Listet alle Transaktionen auf, wobei die neueste Transaktion zuerst angezeigt wird.

dnf5 history info 4
    Zeigt detaillierte Informationen zur vierten Transaktion an.

dnf5 history info last
    Zeigt detaillierte Informationen zur letzten Transaktion an.

dnf5 history info last-1
    Zeigt detaillierte Informationen zur zweitletzten Transaktion an.

dnf5 history list 4..8
    Listet Transaktionen mit einer ID im Bereich von 4 bis 8 an.

dnf5 history undo last
    Macht die letzte Transaktion rückgängig.

dnf5 history undo 4 --ignore-extras
    Macht die vierte Transaktion rückgängig, wobei Extrapakete, die beim Rückängigmachen der Transaktion hinzukommen, ignoriert werden.

SIEHE AUCH
dnf5-specs(7), Muster-Spezifikation <#specs-misc-ref-label>

Autor
Siehe AUTHORS.md in der dnf5-Quelldistribution.

Copyright
Mitwirkende am DNF5-Projekt.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.